__builtin__ (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class __builtin__

    java.lang.Object
      |
      +--org.python.core.__builtin__

All Implemented Interfaces:
  ClassDictInit

public class __builtin__
extends java.lang.Object
implements ClassDictInit

The builtin module. All builtin functions are defined here

Field Summary
`static PyString` | `__doc__zip`

Constructor Summary
`__builtin__()`

Method Summary
`static PyObject` | `__import__(java.lang.String name)`
`static PyObject` | `__import__(java.lang.String name, PyObject globals)`
`static PyObject` | `__import__(java.lang.String name, PyObject globals, PyObject locals)`
`static PyObject` | `__import__(java.lang.String name, PyObject globals, PyObject locals, PyObject fromlist)`
`static PyObject` | `abs(PyObject o)`
`static PyObject` | `apply(PyObject o, PyObject args)`
`static PyObject` | `apply(PyObject o, PyObject args, PyDictionary kws)`
`static boolean` | `callable(PyObject o)`
`static char` | `chr(int i)`
`static void` | `classDictInit(PyObject dict)` Internal use only.
`static int` | `cmp(PyObject x, PyObject y)`
`static PyTuple` | `coerce(PyObject o1, PyObject o2)`
`static PyCode` | `compile(java.lang.String data, java.lang.String filename, java.lang.String type)`
`static PyComplex` | `complex(PyObject real)`
`static PyComplex` | `complex(PyObject real, PyObject imag)`
`static void` | `delattr(PyObject o, PyString n)`
`static PyObject` | `dir()`
`static PyObject` | `dir(PyObject o)`
`static PyObject` | `divmod(PyObject x, PyObject y)`
`static PyObject` | `eval(PyObject o)`
`static PyObject` | `eval(PyObject o, PyObject globals)`
`static PyObject` | `eval(PyObject o, PyObject globals, PyObject locals)`
`static void` | `execfile_flags(java.lang.String name, PyObject globals, PyObject locals, CompilerFlags cflags)`
`static void` | `execfile(java.lang.String name)`
`static void` | `execfile(java.lang.String name, PyObject globals)`
`static void` | `execfile(java.lang.String name, PyObject globals, PyObject locals)`
`static PyObject` | `filter(PyObject f, PyObject l)`
`static PyObject` | `filter(PyObject f, PyString s)`
`static PyFloat` | `float$(PyObject o)`
`static PyObject` | `getattr(PyObject o, PyString n)`
`static PyObject` | `getattr(PyObject o, PyString n, PyObject def)`
`static PyObject` | `globals()`
`static boolean` | `hasattr(PyObject o, PyString n)`
`static PyInteger` | `hash(PyObject o)`
`static PyString` | `hex(PyObject o)`
`static int` | `id(PyObject o)`
`static PyObject` | `input()`
`static PyObject` | `input(PyObject prompt)`
`static PyInteger` | `int$(PyObject o)`
`static PyInteger` | `int$(PyString o, int base)`
`static PyString` | `intern(PyString s)`
`static boolean` | `isinstance(PyObject obj, PyClass myClass)`
`static boolean` | `issubclass(PyClass subClass, PyClass superClass)`
`static int` | `len(PyObject o)`
`static PyList` | `list(PyObject o)`
`static PyObject` | `locals()`
`static PyLong` | `long$(PyObject o)`
`static PyLong` | `long$(PyString o, int base)`
`static PyObject` | `map(PyObject[] argstar)`
`static PyObject` | `max(PyObject[] l)`
`static PyObject` | `min(PyObject[] l)`
`static PyString` | `oct(PyObject o)`
`static PyFile` | `open(java.lang.String name)` Open a file read-only.
`static PyFile` | `open(java.lang.String name, java.lang.String mode)` Open a file with the specified mode.
`static PyFile` | `open(java.lang.String name, java.lang.String mode, int bufsize)` Open a file with the specified mode and buffer size.
`static int` | `ord(char c)`
`static PyObject` | `pow(PyObject x, PyObject y)`
`static PyObject` | `pow(PyObject xi, PyObject yi, PyObject zi)`
`static PyObject` | `range(int n)`
`static PyObject` | `range(int start, int stop)`
`static PyObject` | `range(int start, int stop, int step)`
`static java.lang.String` | `raw_input()`
`static java.lang.String` | `raw_input(PyObject prompt)`
`static PyObject` | `reduce(PyObject f, PyObject l)`
`static PyObject` | `reduce(PyObject f, PyObject l, PyObject z)`
`static PyObject` | `reload(PyJavaClass o)`
`static PyObject` | `reload(PyModule o)`
`static PyString` | `repr(PyObject o)`
`static PyFloat` | `round(double f)`
`static PyFloat` | `round(double f, int digits)`
`static void` | `setattr(PyObject o, PyString n, PyObject v)`
`static PySlice` | `slice(PyObject stop)`
`static PySlice` | `slice(PyObject start, PyObject stop)`
`static PySlice` | `slice(PyObject start, PyObject stop, PyObject step)`
`static PyString` | `str(PyObject o)`
`static PyTuple` | `tuple(PyObject o)`
`static PyClass` | `type(PyObject o)`
`static char` | `unichr(int i)`
`static PyString` | `unicode(PyObject v)`
`static PyString` | `unicode(PyString v, java.lang.String encoding)`
`static PyString` | `unicode(PyString v, java.lang.String encoding, java.lang.String errors)`
`static PyObject` | `vars()`
`static PyObject` | `vars(PyObject o)`
`static PyObject` | `xrange(int n)`
`static PyObject` | `xrange(int start, int stop)`
`static PyObject` | `xrange(int start, int stop, int step)`
`static PyObject` | `zip(PyObject[] argstar)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __doc__zip

    public static PyString __doc__zip

Constructor Detail

### __builtin__

    public __builtin__()

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### abs

    public static PyObject abs(PyObject o)

### apply

    public static PyObject apply(PyObject o,
                                 PyObject args)

### apply

    public static PyObject apply(PyObject o,
                                 PyObject args,
                                 PyDictionary kws)

### callable

    public static boolean callable(PyObject o)

### unichr

    public static char unichr(int i)

### chr

    public static char chr(int i)

### cmp

    public static int cmp(PyObject x,
                          PyObject y)

### coerce

    public static PyTuple coerce(PyObject o1,
                                 PyObject o2)

### compile

    public static PyCode compile(java.lang.String data,
                                 java.lang.String filename,
                                 java.lang.String type)

### complex

    public static PyComplex complex(PyObject real,
                                    PyObject imag)

### complex

    public static PyComplex complex(PyObject real)

### delattr

    public static void delattr(PyObject o,
                               PyString n)

### dir

    public static PyObject dir(PyObject o)

### dir

    public static PyObject dir()

### divmod

    public static PyObject divmod(PyObject x,
                                  PyObject y)

### eval

    public static PyObject eval(PyObject o,
                                PyObject globals,
                                PyObject locals)

### eval

    public static PyObject eval(PyObject o,
                                PyObject globals)

### eval

    public static PyObject eval(PyObject o)

### execfile

    public static void execfile(java.lang.String name,
                                PyObject globals,
                                PyObject locals)

### execfile_flags

    public static void execfile_flags(java.lang.String name,
                                      PyObject globals,
                                      PyObject locals,
                                      CompilerFlags cflags)

### execfile

    public static void execfile(java.lang.String name,
                                PyObject globals)

### execfile

    public static void execfile(java.lang.String name)

### filter

    public static PyObject filter(PyObject f,
                                  PyString s)

### filter

    public static PyObject filter(PyObject f,
                                  PyObject l)

### float$

    public static PyFloat float$(PyObject o)

### getattr

    public static PyObject getattr(PyObject o,
                                   PyString n)

### getattr

    public static PyObject getattr(PyObject o,
                                   PyString n,
                                   PyObject def)

### globals

    public static PyObject globals()

### hasattr

    public static boolean hasattr(PyObject o,
                                  PyString n)

### hash

    public static PyInteger hash(PyObject o)

### hex

    public static PyString hex(PyObject o)

### id

    public static int id(PyObject o)

### input

    public static PyObject input(PyObject prompt)

### input

    public static PyObject input()

### int$

    public static PyInteger int$(PyString o,
                                 int base)

### int$

    public static PyInteger int$(PyObject o)

### intern

    public static PyString intern(PyString s)

### isinstance

    public static boolean isinstance(PyObject obj,
                                     PyClass myClass)

### issubclass

    public static boolean issubclass(PyClass subClass,
                                     PyClass superClass)

### len

    public static int len(PyObject o)

### list

    public static PyList list(PyObject o)

### locals

    public static PyObject locals()

### long$

    public static PyLong long$(PyObject o)

### long$

    public static PyLong long$(PyString o,
                               int base)

### map

    public static PyObject map(PyObject[] argstar)

### max

    public static PyObject max(PyObject[] l)

### min

    public static PyObject min(PyObject[] l)

### oct

    public static PyString oct(PyObject o)

### open

    public static PyFile open(java.lang.String name)
                       throws java.io.IOException

  Open a file read-only.

  Parameters:
    `name` - the file to open.
  Throws:
    `java.io.IOException`

### open

    public static PyFile open(java.lang.String name,
                              java.lang.String mode)
                       throws java.io.IOException

  Open a file with the specified mode.

  Parameters:
    `name` - name of the file to open.
    `mode` - open mode of the file. Use "r", "w", "r+", "w+" and "a".
  Throws:
    `java.io.IOException`

### open

    public static PyFile open(java.lang.String name,
                              java.lang.String mode,
                              int bufsize)
                       throws java.io.IOException

  Open a file with the specified mode and buffer size.

  Parameters:
    `name` - name of the file to open.
    `mode` - open mode of the file. Use "r", "w", "r+", "w+" and "a".
    `bufsize` - size of the internal buffer. Not currently used.
  Throws:
    `java.io.IOException`

### ord

    public static final int ord(char c)

### pow

    public static PyObject pow(PyObject x,
                               PyObject y)

### pow

    public static PyObject pow(PyObject xi,
                               PyObject yi,
                               PyObject zi)

### range

    public static PyObject range(int start,
                                 int stop,
                                 int step)

### range

    public static PyObject range(int n)

### range

    public static PyObject range(int start,
                                 int stop)

### raw_input

    public static java.lang.String raw_input(PyObject prompt)

### raw_input

    public static java.lang.String raw_input()

### reduce

    public static PyObject reduce(PyObject f,
                                  PyObject l,
                                  PyObject z)

### reduce

    public static PyObject reduce(PyObject f,
                                  PyObject l)

### reload

    public static PyObject reload(PyModule o)

### reload

    public static PyObject reload(PyJavaClass o)

### repr

    public static PyString repr(PyObject o)

### round

    public static PyFloat round(double f,
                                int digits)

### round

    public static PyFloat round(double f)

### setattr

    public static void setattr(PyObject o,
                               PyString n,
                               PyObject v)

### slice

    public static PySlice slice(PyObject start,
                                PyObject stop,
                                PyObject step)

### slice

    public static PySlice slice(PyObject start,
                                PyObject stop)

### slice

    public static PySlice slice(PyObject stop)

### str

    public static PyString str(PyObject o)

### unicode

    public static PyString unicode(PyObject v)

### unicode

    public static PyString unicode(PyString v,
                                   java.lang.String encoding)

### unicode

    public static PyString unicode(PyString v,
                                   java.lang.String encoding,
                                   java.lang.String errors)

### tuple

    public static PyTuple tuple(PyObject o)

### type

    public static PyClass type(PyObject o)

### vars

    public static PyObject vars(PyObject o)

### vars

    public static PyObject vars()

### xrange

    public static PyObject xrange(int start,
                                  int stop,
                                  int step)

### xrange

    public static PyObject xrange(int n)

### xrange

    public static PyObject xrange(int start,
                                  int stop)

### zip

    public static PyObject zip(PyObject[] argstar)

### __import__

    public static PyObject __import__(java.lang.String name)

### __import__

    public static PyObject __import__(java.lang.String name,
                                      PyObject globals)

### __import__

    public static PyObject __import__(java.lang.String name,
                                      PyObject globals,
                                      PyObject locals)

### __import__

    public static PyObject __import__(java.lang.String name,
                                      PyObject globals,
                                      PyObject locals,
                                      PyObject fromlist)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage